Subject: Re: [bess] Suresh Krishnan's Discuss on draft-ietf-bess-mvpn-expl-track-12: (with DISCUSS)

From: Eric Rosen <[email-masked]>
Date: Wed, 28 Nov 2018 16:35:52 +0000

Suresh,

I believe draft-ietf-bess-mvpn-expl-track-13 addresses your issues. 
Please let me know.

Eric

On 10/25/2018 9:14 AM, Suresh Krishnan wrote:
> Hi Martin,
>
>
>> On Oct 25, 2018, at 4:31 AM, Vigoureux, Martin (Nokia - FR/Paris-Saclay) <[email-masked]> wrote:
>>
>> Hello Suresh,
>>
>> thank you for your review.
>> This NLRI is in fact defined in 6514 and the determination of the length
>> of the IP address field is clarified in 6515, section 2 item 3.
> That makes more sense but this is not clear from the draft at all. The only prelude to the format says
>
> "The "route key" field of the NLRI will have the following format:”
>
> with no further explanations that this format is simply repeated from RFC6514(I am guessing it is the S-PMSI A-D Route defined in Section 4.3). Additionally, the draft does not even have a reference to RFC6515. I think it would be really good to put some pointers into this draft. Suggest something like this
>
> OLD:
>
> The "route key" field of the NLRI will have
>     the following format:
>
> NEW:
>
> The "route key" field of the NLRI uses
>     the following format as defined in Section 4.3 of [RFC6514]:
>
>
> OLD:
>
>     o  The "ingress PE" address is taken from the "originating router"
>        field of the NLRI of the S-PMSI A-D route that is the match for
>        tracking.
>
> NEW:
>
>     o  The "ingress PE" address is taken from the "originating router"
>        field of the NLRI of the S-PMSI A-D route that is the match for
>        tracking. The length of the Ingress PE's IP address is computed
>        using the procedure described in Section 2 Item 3 of [RFC6515]
>
> Thanks
> Suresh
>

---

From: Suresh Krishnan <[email-masked]>
Date: Wed, 28 Nov 2018 17:06:19 +0000

Hi Eric,
  Yes. It does. I have cleared.

Regards
Suresh

> On Nov 28, 2018, at 11:35 AM, Eric Rosen <[email-masked]> wrote:
> 
> Suresh,
>